> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter todos os agregados do painel

> Use este endpoint para recuperar agregados combinados do painel, incluindo volume, taxa de conciliação e estatísticas de SLA.



## OpenAPI

````yaml pt/openapi/v3-current/matcher.yaml get /v1/reports/contexts/{contextId}/dashboard
openapi: 3.1.0
info:
  title: Matcher APIs
  description: >-
    Referência completa de API para o motor de conciliação Matcher, que fornece
    conciliação automática de transações entre o Midaz Ledger e sistemas
    externos.
  version: 4.1.0
  license:
    name: Lerian Studio General License
servers:
  - url: https://matcher.sandbox.lerian.net
security: []
paths:
  /v1/reports/contexts/{contextId}/dashboard:
    get:
      tags:
        - Reporting
      summary: Obter todos os agregados do painel
      description: >-
        Use este endpoint para recuperar agregados combinados do painel,
        incluindo volume, taxa de conciliação e estatísticas de SLA.
      operationId: getDashboardAggregates
      parameters:
        - description: A unique identifier for tracing the request across services.
          in: header
          name: X-Request-Id
          schema:
            type: string
        - description: The unique identifier of the reconciliation context.
          in: path
          name: contextId
          required: true
          schema:
            type: string
        - description: Start date (YYYY-MM-DD)
          in: query
          name: date_from
          required: true
          schema:
            type: string
        - description: End date (YYYY-MM-DD)
          in: query
          name: date_to
          required: true
          schema:
            type: string
        - description: Source ID filter
          in: query
          name: source_id
          schema:
            type: string
      responses:
        '200':
          description: >-
            Indica que a requisição foi bem-sucedida e a resposta contém os
            dados esperados.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardAggregatesResponse'
        '400':
          description: A requisição contém parâmetros ou payload inválidos.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: A requisição não contém credenciais de autenticação válidas.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Você não tem permissão para acessar este recurso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: O recurso solicitado não foi encontrado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Ocorreu um erro inesperado no servidor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    DashboardAggregatesResponse:
      properties:
        matchRate:
          $ref: '#/components/schemas/MatchRateStatsResponse'
        sla:
          $ref: '#/components/schemas/SLAStatsResponse'
        updatedAt:
          type: string
        volume:
          $ref: '#/components/schemas/VolumeStatsResponse'
      type: object
    ErrorResponse:
      description: Resposta de erro padrão retornada por todos os endpoints da API
      type: object
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Código de erro de aplicação estável.
          example: MTCH-0001
        title:
          type: string
          description: Título de erro legível por humanos.
          example: Bad Request
        message:
          type: string
          description: Mensagem de erro legível com detalhes.
          example: context not found
        error:
          type: string
          description: Descontinuado. Mensagem de erro para compatibilidade retroativa.
          deprecated: true
        details:
          description: Contexto adicional do erro como pares chave-valor
          additionalProperties: {}
          type: object
    MatchRateStatsResponse:
      properties:
        matchRate:
          type: number
        matchRateAmount:
          type: number
        matchedCount:
          type: integer
        totalCount:
          type: integer
        unmatchedCount:
          type: integer
      type: object
    SLAStatsResponse:
      properties:
        averageResolutionMs:
          type: integer
        pendingOverdue:
          type: integer
        pendingWithinSLA:
          type: integer
        resolvedLate:
          type: integer
        resolvedOnTime:
          type: integer
        slaComplianceRate:
          type: number
        totalExceptions:
          type: integer
      type: object
    VolumeStatsResponse:
      properties:
        matchedAmount:
          type: string
        matchedTransactions:
          type: integer
        periodEnd:
          type: string
        periodStart:
          type: string
        totalAmount:
          type: string
        totalTransactions:
          type: integer
        unmatchedAmount:
          type: string
        unmatchedCount:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Autenticação por Bearer token (formato: "Bearer {token}")'

````